<?php

namespace App\Events;

use Illuminate\Broadcasting\Channel;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;

class RfidScanned implements ShouldBroadcast
{
    public $data;

    public function __construct($data)
    {
        $this->data = $data;
    }

    public function broadcastOn()
    {
        return new Channel('rfid-channel');
    }
    
}
{
    \Log::info('EVENT DIKIRIM', $this->data);
    return new Channel('rfid-channel');
}

